##### posix::basic_descriptor::close (2 of 2 overloads)

Close the descriptor.

    void close(
        asio::error_code & ec);

This function is used to close the descriptor. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any. Note that, even if the function indicates an error, the underlying descriptor is closed.